Loomio

updating to stretch: plan

Pirate Praveen
Pirate Praveen Public Seen by 474

I think we should update to stretch as we are in freeze.

  1. This will reduce extra backporting to jessie work
  2. We will have more testing to fix issues before release
Pirate Praveen

Pirate Praveen August 16th, 2017 10:15

I'll be updating postgresql-contrib to 9.6 from 9.4 to make the update to stretch smooth. I'll take gitlab down for a few minutes to take backup of /var/lib/postgresql/9.4 (just in case we need to revert).

Pirate Praveen

Pirate Praveen August 16th, 2017 10:25

steps inspired from https://medium.com/@tk512/upgrading-postgresql-from-9-3-to-9-4-on-ubuntu-14-04-lts-2b4ddcd26535

systemctl stop gitlab
systemctl stop postgresql
cp -r /var/lib/postgresql/9.4 /var/lib/postgresql/9.4-backup
apt-get -t jessie-backports install postgresql-contrib
pg_lsclusters # should show both 9.4 and 9.6
pg_dropcluster --stop 9.6 main
systemctl start postgresql
pg_upgradecluster 9.4 main
pg_lsclusters # should show 9.4 offline and 9.6 online
systemctl start gitlab # verify gitlab is working
pg_dropcluster 9.4 main
pg_lsclusters # should show 9.6 only
Pirate Praveen

Pirate Praveen August 16th, 2017 11:01

We now have postgresql 9.6. Next is updating gitlab to stretch and then dist-upgrade to stretch.